//
//  ViewController.swift
//  AmpChromecastSample
//
//  Created by Lopez Valenciano, Miguel on 5/5/16.
//  Copyright © 2016 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpChromecast
import GoogleCast

//let url = "https://commondatastorage.googleapis.com/gtv-videos-bucket/CastVideos/mp4/DesigningForGoogleCast.mp4"
let url = "http://multiplatform-f.akamaihd.net/i/multi/april11/hdworld/hdworld_,768x432_1000_b,.mp4.csmil/master.m3u8"

class ViewController: UIViewController {
    
    @IBOutlet weak var playerView: UIView!
    var ampPlayer: AmpPlayer!
    var ampChromecast: AmpChromecastManager!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.ampPlayer = AmpPlayer(parentView: self.playerView)
    self.ampPlayer.setLicense("AwH4ufhrEyYgvu5dFMNtHJntZpWMB9CA6Gb4sSAn5s2t9cLPSBgV5T5nUAtsOtH7K23SS4F2Tlxu5Bz5GJHxWZD6DIhLcbc+RdBk+75LFL2/twdH9vhGBAQsEWohZVxjfJq5TOY20EcWU3A3cQly1pDU7ENCdE6A+UzrQASsVPSOGbjcHD3v2QLRMVK1tjBpBHv7Efh+dSNFWKsSLfNhZlRI6664Al+Jr9TuzjwyrloZcPxfDXznkPXNIqxyRkmAyT4=")
        self.ampPlayer.autoplay = true
        self.ampPlayer.registerObserver(self)
        self.ampPlayer.handleUrl(url)
        
        self.ampChromecast = AmpChromecastManager(ampPlayer: self.ampPlayer)
        self.ampChromecast.registerObserver(self)
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

extension ViewController : PlayerEventObserver {
    
    func onCuepointReached(_ ampPlayer: AmpPlayer, atTime: Double) {
        AmpLogger.info("Cuepoint at \(atTime)")
    }
    
}

extension ViewController : AmpChromecastObserver {
    
    func onChromecastPlaybackStateChanged(_ manager: AmpChromecastManager) {
        print("onChromecastPlaybackStateChanged")
    }
    
    func onChromecastError(_ manager: AmpChromecastManager, error: Error?) {
        print("onChromecastError \(error)")
    }
    
}
