//
//  ViewController.swift
//  AmpFreewheelSample
//
//  Created by Lopez Valenciano, Miguel on 5/5/17.
//  Copyright © 2017 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpFreewheel

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer!
    var ampFreewheel: AmpFreewheel!
    
    let url = "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer.setLicense("AwEmXPJVeR34W5cAK38a6of/F/s+GpqLkr71ClEHbwWtS/31pj67PGPfZ+vWRmZVODb9+2nx8vNyy3KlQ3Vdg1+glYfNhN6R1ULeK8CwU7h6iGX0JTyjxdAczdoL/A5UPg29SPFDjf/MWUxvfQy0KkKNOXbVwV13s+XJw6wUcAJ/Ata3xWGYbyPHidWvwHjAp/Ow1xOu4S3yVYZNTdsPTJ6+lvFoEO9i8GaEn5BoTYOBKQ==")
        self.ampPlayer.autoplay = true
        
        self.ampFreewheel = AmpFreewheel(ampPlayer: self.ampPlayer!, networkId: 96749, serverUrl: "http://demo.v.fwmrm.net")
        
        let videoAssetId = VideoAssetId(id: "DemoVideoGroup.01", duration: 500)
        self.ampFreewheel?.requestAds(profile: "96749:global-cocoa", siteSectionId: "DemoSiteGroup.01", videoAssetId: videoAssetId) { adController in
            adController.addPrerollSlot("pre1")
            adController.addOverlaySlot("over1", timePosition: 5)
            adController.addMidrollSlot("mid1", timePosition: 10)
            adController.addOverlaySlot("over2", timePosition: 15)
            adController.addPostrollSlot("post1")
        }
        
        print("AKAMAI PLAYER VERSION: \(self.ampPlayer!.version)")
        
        self.ampPlayer.handleUrl(url)
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}
