//
//  ViewController.swift
//  AmpHeartbeatSample
//
//  Created by Lopez Valenciano, Miguel on 9/14/17.
//  Copyright © 2017 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpAdobeHeartbeat

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer?
    var ampHeartbeat: AmpAdobeHeartbeat?
    
    let url = "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8"

    let liveUrl = "http://fnctve-i.akamaihd.net/hls/live/200669/fnctve/master.m3u8?hdnea=st=1433954196~exp=1907308086~acl=/*~hmac=62bfdfc61282e7be4d551454fd988dfafb20ec780d8011cc5c058b63d9b6f25d"

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer?.autoplay = true
        self.ampPlayer?.setLicense("AwF8uFZsIBQzGyGofu8l/+8Il96moUOOdD43W79nQxlAvsxqoss4Ya8hTuSfM+CYN1O4gadtlsZ0D1nAKEFG1Xodq064BXbP+dq0QdSa3tnVSwnZW2dWbZ6sltnhMPRVg4PyjPiBKvNE/lDLtGL1sBYT6yO5sX7Hl12CvBllLN+wmtv0NTGTcAK/sbd8cbnipl9pYsDEwDhb/RmTS29yafxLeMIVQRCwOo++n1MtXAXQyS/lbIrgL0C8sd9bSfT07z4=")
        
        // Heartbeat setup
        let videoMetadata = [
            AmpMetaDataKey.season: "Season 1",
            AmpMetaDataKey.show: "Best Show Ever",
            AmpMetaDataKey.episode: "Episode 4"
        ]
        
        let heartbeatConfig:[String:AnyObject] = ["trackingServer":"http://obumobile1.hb.omtrdc.net" as AnyObject, "channel":"test-channel" as AnyObject, "ovp":"test-ovp" as AnyObject, "videoId": "Required Video Id" as AnyObject, "videoName": "Non required video Name" as AnyObject, "debugLogging": true as AnyObject, "ssl": false as AnyObject, "timeZone": "GMT-5" as AnyObject]
        
        self.ampHeartbeat = AmpAdobeHeartbeat(ampPlayer: self.ampPlayer!, configuration: heartbeatConfig, videoMetadata: videoMetadata)
        
        print("Adobe Heartbeat Video Version: \(ADBMediaHeartbeat.version())")
        
        self.ampPlayer?.handleUrl(liveUrl)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

