//
//  CollectionViewController.swift
//  AMPTVOSSample
//
//  Created by Björn Strömros on 2015-11-12.
//  Copyright © 2015 Akamai. All rights reserved.
//


import Foundation
import UIKit
import AVKit
//import AmpOctoshapeTV

class CollectionViewController: UIViewController, UICollectionViewDelegateFlowLayout, UICollectionViewDataSource, UIScrollViewDelegate {
    
    @IBOutlet var scrollView : UIScrollView!
    @IBOutlet var collectionView1 : UICollectionView!
    let reuseIdentifierFeatured = "FeaturedCell"
    /*
    octoshape://streams.octoshape.net/demo/live/pga/abr
    octoshape://streams.octoshape.net/demo/live/nba/abr
    octoshape://streams.octoshape.net/demo/live/trailers/abr
    octoshape://streams.octoshape.net/demo/live/nascar/abr
    */
    
    var objects = [
        ["Short Bunny MP4", "http://www.sample-videos.com/video/mp4/720/big_buck_bunny_720p_1mb.mp4", "Short Bunny MP4", ""],
        ["Invalid Stream - Format", "http://www.sample-videos.com/video/mp4/720/big_buck_bunny_720p_1mb", "Invalid Stream", ""],
        ["Invalid Stream - Token", "http://fncgohls-i.akamaihd.net/hls/live/263399/FNCGOHLS/master.m3u8", "Invalid Stream - Token", ""],
        ["Octoshape Red Bull 1", "octoshape://streams.octoshape.net/akamai/ces/live/hls/ch1/abr", "Octoshape NBA", "artofflight.jpg"],
        ["Octoshape Red Bull 2", "octoshape://streams.octoshape.net/akamai/demo/h264-flv/ch1/abr", "Octoshape Nascar", "redbullbike.jpg"],
        
        ["Akamai Demo Universal", "http://multiformatlive-f.akamaihd.net/i/demostream_1@2131/master.m3u8", "Akamai Demo Universal", "tvLogoSmall.png"],
        
        ["Fox News", "http://fnctve-i.akamaihd.net/hls/live/200669/fnctve/master.m3u8?hdnea=st=1433954196~exp=1907308086~acl=/*~hmac=62bfdfc61282e7be4d551454fd988dfafb20ec780d8011cc5c058b63d9b6f25d", "Fox News", "Fox_News_Channel_logo.png"],
        ["ABC News Test", "http://abclivehdn1-lh.akamaihd.net/i/abc_dvr3@317216/master.m3u8", "ABC News Test", "ABC-News-logo.jpg"],
        
        ["HSN", "http://hsn.mpl.miisolutions.net/hsn-live01/_definst_/smil:HSN1_ipad.smil/playlist.m3u8", "Home channel (HLS version)", "150px-HSN_logo_2003.svg.png"],
        
        ["EsquireTV VOD", "http://esqtcstream-vh.akamaihd.net/i/EsquireNetwork/delivery/e23b421f-bfdb-4ccd-bf49-4efa776e0e88/70718_esquiretv_,4,16,12,8,6,20,2,40,25,30,00k.mp4.csmil/master.m3u8", "Home channel (HLS version)", "eatlikeaman_06_season_steakjpg.jpg"],
        
        ["OWN", "https://ownvodhd-vh.akamaihd.net/i/video/201512/sss/vod/20151209-sss-615-canfield-episode-vod.mp4/master.m3u8", "OWN", "Oprah-Winfrey-Network-OWN-logo-2011.png"],
        
        ["WebMD", "http://webmd-vh.akamaihd.net/i/delivery/delivery/36/e2/36e26cdd-5580-4963-9cba-a4fb7b5e2a94/how-doctor-avoids-flu_,1000k,750k,4500k,2500k,.mp4.csmil/master.m3u8", "WebMD", "logo-webmd-site.png"],
        
        ["Red Bull 1", "http://transdemohls-vh.akamaihd.net/i/XYZCorpMedia/delivery/5bcc3b38-f482-4b01-8bab-a665efc666e2/,Art-of-Flight_Clip-3_1000k.mp4,Art-of-Flight_Clip-3_4500k.mp4,Art-of-Flight_Clip-3_2500k.mp4,Art-of-Flight_Clip-3_300k.mp4,Art-of-Flight_Clip-3_1500k.mp4,Art-of-Flight_Clip-3_4000k.mp4,Art-of-Flight_Clip-3_600k.mp4,Art-of-Flight_Clip-3_800k.mp4,Art-of-Flight_Clip-3_200k.mp4,.csmil/master.m3u8", "Red Bull 1", "artofflight-2.jpg"],
        ["Red Bull 2", "http://transdemohls-vh.akamaihd.net/i/Customer%20Demo/delivery/18/e6/18e66de8-1d2e-4fa8-8d68-521f578ce942/ITWLongClip_1080_8M_,3000k,3500k,260k,4001k,3700k,1600k,925k,700k,450k,3300k,2700k,1000k,2300k,.mp4.csmil/master.m3u8", "Red Bull 2)", "redbullbike.jpg"],
        
         ["Demo Sintel", "http://multiplatform-f.akamaihd.net/i/multi/april11/sintel/sintel-hd_,512x288_450_b,640x360_700_b,768x432_1000_b,1024x576_1400_m,.mp4.csmil/master.m3u8", "Demo Sintel", "sintel_desktop_284.jpg"],
        
        
        ["CES Alt channel", "http://msllinearces16-i.akamaihd.net/hls/live/225881/ces2r1/index.m3u8", "Alt channel", "tvLogoSmall.png"],
        ["CES The Media Channel. All Media", "http://msllinearces16-i.akamaihd.net/hls/live/225884/ces3r1/index.m3u8", "The Media Channel. All Media ", "tvLogoSmall.png"],
        ["CES The Security Zone", "http://msllinearces16-i.akamaihd.net/hls/live/225885/ces4r1/index.m3u8", "The Security Zone.", "tvLogoSmall.png"],
        ["CES Entertainment", "http://msllinearces16-i.akamaihd.net/hls/live/225886/ces5r1/index.m3u8", "Entertainment", "tvLogoSmall.png"],
        ["Demo Bunny", "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8", "Demo Bunny", "Big_buck_bunny_284.jpg"],
        ["Orly Stream 1", "octoshape://streams.octoshape.net/demo/live/nab2/abr", "Orly Stream 1", ""],
        ["Orly Stream 2", "octoshape://streams.octoshape.net/akamai/ces/live/hls/ch1/abr", "Orly Stream 2", ""],
        ["INVALID Demo Bunny", "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8", "Demo Bunny", "Big_buck_bunny_284.jpg"],
        ["INVALID CES Entertainment", "http://msllinearces16-i.akamaihd.net/hls/live/225886/ces5r1/index.xml", "Entertainment", "tvLogoSmall.png"],
    ]
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override func viewDidLayoutSubviews() {
        self.scrollView!.contentSize = CGSize(width: 1920, height: 2200)
    }
    
    // Collection View Methods
    
    func collectionView(_ collectionView: UICollectionView, layout collectionViewLayout: UICollectionViewLayout, minimumInteritemSpacingForSectionAt section: Int) -> CGFloat {
        return 50
    }
    
    func collectionView(_ collectionView: UICollectionView, layout collectionViewLayout: UICollectionViewLayout, minimumLineSpacingForSectionAt section: Int) -> CGFloat {
        return 50
    }
    
    func collectionView(_ collectionView: UICollectionView,
        layout collectionViewLayout: UICollectionViewLayout,
        insetForSectionAt section: Int) -> UIEdgeInsets {
            return UIEdgeInsets(top: 0.0, left: 50.0, bottom: 0.0, right: 50.0)
    }
    
    func numberOfSections(in collectionView: UICollectionView) -> Int {
        return 1
    }
    
    func collectionView(_ collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int
    {
        if (collectionView == self.collectionView1)
        {
            return objects.count
        }
        
        return 0
    }
    
    func collectionView(_ collectionView: UICollectionView, cellForItemAt indexPath: IndexPath) -> UICollectionViewCell {
        
        if (collectionView == self.collectionView1)
        {
            let cell : CollectionViewCell = collectionView.dequeueReusableCell(withReuseIdentifier: self.reuseIdentifierFeatured, for: indexPath) as! CollectionViewCell
            
            let object = objects[indexPath.row] as NSArray
            cell.featuredLabel.text = (object[0] as AnyObject).description
            
            var image:UIImage
            if ((object[3] as AnyObject).description != ""){
                image = UIImage(named: (object[3] as AnyObject).description)!
            } else {
                image = UIImage(named: "VideoLogo_284.jpg")!
            }
            cell.featuredImage.image = image
            
            return cell
        }
        
        return UICollectionViewCell()
    }
    
    func collectionView(_ collectionView: UICollectionView, didSelectItemAt indexPath: IndexPath) {
        let playerVC = PlayerViewController()
        // Assign the previously created Octoshape System to be used by the AmpPlayer
        let object = objects[indexPath.row] as NSArray
        playerVC.playVideo((object[1] as AnyObject).description, playerController: AVPlayerViewController())
        self.present(playerVC, animated: true, completion: nil)
    }
    
//    override func pressesEnded(presses: Set<UIPress>, withEvent event: UIPressesEvent?) {
//        for item in presses {
//            if item.type == .PlayPause {
//                print("PlayPause")
//            }
//        }
//    }
    
}
